---
# defaults file for ansible_role_laravel_deploy
laravel_deploy_dir: "/var/www"

laravel_deploy_app_git_repo: ""
laravel_deploy_app_version: "main"

laravel_deploy_dir_owner: "www-data"
laravel_deploy_dir_group: "www-data"

laravel_deploy_env_src: "env.j2"

laravel_deploy_php_artisan_commands:
  - migrate

# env params
laravel_deploy_app_name: "laravel"
laravel_deploy_app_env: "local"
laravel_deploy_app_key: ""
laravel_deploy_app_debug: "true"
laravel_deploy_app_url: "http://localhost"

laravel_deploy_log_channel: "stack"
laravel_deploy_log_deprecations_channel: "null"
laravel_deploy_log_level: "debug"

laravel_deploy_db_connection: "mysql"
laravel_deploy_db_host: "127.0.0.1"
laravel_deploy_db_port: "3306"
laravel_deploy_db_database: "laravel"
laravel_deploy_db_username: "root"
laravel_deploy_db_password: ""

laravel_deploy_broadcast_driver: "log"
laravel_deploy_cache_driver: "file"
laravel_deploy_filesystem_disk: "local"
laravel_deploy_queue_connection: "sync"
laravel_deploy_session_driver: "file"
laravel_deploy_session_lifetime: "120"

laravel_deploy_memcached_host: "127.0.0.1"

laravel_deploy_redis_host: "127.0.0.1"
laravel_deploy_redis_password: "null"
laravel_deploy_redis_port: "6379"

laravel_deploy_mail_mailer: "smtp"
laravel_deploy_mail_host: "mailhog"
laravel_deploy_mail_port: "1025"
laravel_deploy_mail_username: "null"
laravel_deploy_mail_password: "null"
laravel_deploy_mail_encryption: "null"
laravel_deploy_mail_from_address: "hello@example.com"

laravel_deploy_aws_access_key_id: ""
laravel_deploy_aws_secret_access_key: ""
laravel_deploy_aws_default_region: "us-east-1"
laravel_deploy_aws_bucket: ""
laravel_deploy_aws_use_path_style_endpoint: "false"

laravel_deploy_pusher_app_id: ""
laravel_deploy_pusher_app_key: ""
laravel_deploy_pusher_app_secret: ""
laravel_deploy_pusher_app_cluster: "mt1"
